/*
 *  linux/arch/arm/mach-pxa/colibri.h
 *
 *  Generic Toradex Colibri PXA270/PXA3xx functions
 *  Yury Georgievskiy <yury.georgievskiy@noser.com>
 *
 *  Copyright (C) 2011 Noser Engineering
 *
 *  2011-01-18: Yury Georgievskiy <yury.georgievskiy@noser.com>
 *              initial version
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.
 */

#ifndef _GENERIC_COLIBRI_H_INCLUDE_
#define _GENERIC_COLIBRI_H_INCLUDE_

#include <mach/mmc.h>

/* supported carrier board types */
typedef enum {
	PXA_EVAL_CB = 1,
	PXA_ORCHID_CB,
	PXA_TELLURIUM_CB,
	PXA_PROTEA_CB,
	PXA_LIMESTONE_CB,
	PXA_ALL_CB
} pxa_cb_t;

extern void colibri_pxa_init_gpio_keys(pxa_cb_t);
extern void colibri_pxa_init_mmc(struct pxamci_platform_data *);
extern void colibri_pxa_init_ohci(int);
extern void colibri_pxa_init_rtc(void);

#endif	/* _GENERIC_COLIBRI_H_INCLUDE_ */
